# Interface methods for submodule: GradientImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: GradientImageFilter
class GradientImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

	def SetUseImageSpacing(self, _arg: bool) -> None:
		""""""
		...

	def GetUseImageSpacing(self) -> bool:
		""""""
		...

	def UseImageSpacingOn(self) -> None:
		""""""
		...

	def UseImageSpacingOff(self) -> None:
		""""""
		...

	def SetUseImageSpacingOn(self) -> None:
		""""""
		...

	def SetUseImageSpacingOff(self) -> None:
		""""""
		...

	def OverrideBoundaryCondition(self, boundaryCondition) -> None:
		""""""
		...

	def SetUseImageDirection(self, _arg: bool) -> None:
		""""""
		...

	def GetUseImageDirection(self) -> bool:
		""""""
		...

	def UseImageDirectionOn(self) -> None:
		""""""
		...

	def UseImageDirectionOff(self) -> None:
		""""""
		...

